Get an app's details from Google Play
curl --request POST \
--url https://api.stophy.dev/v1/googleplay/app \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"app": "com.spotify.music"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({app: 'com.spotify.music'})
};
fetch('https://api.stophy.dev/v1/googleplay/app', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/googleplay/app"
payload = { "app": "com.spotify.music" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"app": {
"url": "<string>",
"hasInAppPurchases": true,
"hasAds": true,
"id": "<string>",
"name": "<string>",
"summary": "<string>",
"description": "<string>",
"developer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"website": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
},
"privacyPolicy": "<string>",
"genre": {
"id": "<string>",
"name": "<string>"
},
"contentRating": "<string>",
"installs": {
"text": "<string>",
"min": 0,
"exact": 0
},
"rating": 123,
"ratings": 0,
"reviews": 0,
"histogram": {
"one": 0,
"two": 0,
"three": 0,
"four": 0,
"five": 0
},
"price": 123,
"currency": "<string>",
"inAppPriceText": "<string>",
"version": "<string>",
"recentChanges": "<string>",
"releasedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"icon": "<string>",
"banner": "<string>",
"screenshots": [
"<string>"
]
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Google Play
Google Play app API
Call the Google Play app API to get name, summary, description, developer, privacy policy and genre, as JSON or markdown. 1 credit.
POST
/
v1
/
googleplay
/
app
Get an app's details from Google Play
curl --request POST \
--url https://api.stophy.dev/v1/googleplay/app \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"app": "com.spotify.music"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({app: 'com.spotify.music'})
};
fetch('https://api.stophy.dev/v1/googleplay/app', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/googleplay/app"
payload = { "app": "com.spotify.music" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"app": {
"url": "<string>",
"hasInAppPurchases": true,
"hasAds": true,
"id": "<string>",
"name": "<string>",
"summary": "<string>",
"description": "<string>",
"developer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"website": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
},
"privacyPolicy": "<string>",
"genre": {
"id": "<string>",
"name": "<string>"
},
"contentRating": "<string>",
"installs": {
"text": "<string>",
"min": 0,
"exact": 0
},
"rating": 123,
"ratings": 0,
"reviews": 0,
"histogram": {
"one": 0,
"two": 0,
"three": 0,
"four": 0,
"five": 0
},
"price": 123,
"currency": "<string>",
"inAppPriceText": "<string>",
"version": "<string>",
"recentChanges": "<string>",
"releasedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"icon": "<string>",
"banner": "<string>",
"screenshots": [
"<string>"
]
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
googleplay.app - Returns:
datahasapp. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.googleplay.app({ app: "com.spotify.music" });
console.log(result.data.app);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.googleplay.app(app="com.spotify.music")
print(result["data"]["app"])
curl -X POST https://api.stophy.dev/v1/googleplay/app \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"app":"com.spotify.music"}'
stophy googleplay app com.spotify.music
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json